Request Body Schema
- Metarequired, object
- DataModelrequired, stringReliable
FHIR Bulk Data Access
- EventTyperequired, stringReliable
status-check-response
- EventDateTimestring, nullReliable
Displays the UTC date and time that an outgoing request is delivered or an incoming request is received.
ISO 8601 Format - Testboolean, nullReliable
Indicates whether the request is a test or not.
- Sourceobject
Contains the information for the system initiating the message, including the source ID and name.
Included in messages from Redox- IDstring, nullReliable
Identifies the system initiating the message. If you have multiple OAuth API keys per environment type, this value is required. If you have only one OAuth API key per environment type, or you're using legacy API keys, this value is optional.
UUID - Namestring, nullReliable
Displays the name of the system initiating the message.
- DestinationsArray of object
Contains the information for the endpoint(s) receiving the request. A request must contain at least one destination, but asynchronous requests can have more than one destination. Synchronous requests like queries can only support one destination.
Required when sending data to Redox.- IDstring, nullReliable
Identifies the endpoint that the request is directed to.
UUID - Namestring, nullReliable
Displays the name of the endpoint that the request is directed to.
- LogsArray of object
Contains the log identifier(s) for the request.
- IDstring, nullReliable
Identifies the request log(s) that correspond to this request. You can use this value to locate the relevant log in the Redox dashboard for support and reference.
UUID - AttemptIDstring, nullReliable
Identifies the request log attempt value, which is useful when retries are possible.
UUID
- FacilityCodestring, nullPossible
Code for the facility related to the message.
Only use this field if a health system indicates you should. The code is specific to the health system's EHR and might not be unique across health systems. In general, the facility fields within the data models (e.g. OrderingFacility) are more reliable and informative.
- statusrequired, string
The HTTP status code of the status check response. 202 indicates the export is still in progress; 200 indicates the export is complete.
- outputrequired, Array of object
An array of output file entries, each representing a FHIR resource type exported as an NDJSON file.
- typerequired, string
The FHIR resource type contained in this output file (e.g., Patient, Encounter, Observation).
- urlrequired, string
The URL where the NDJSON file for this resource type can be downloaded.
- progressstring, null
A human-readable progress indicator returned via the X-Progress header when the export is still in progress (e.g., "50%").
- transactionTimestring, null
Indicates the server time when the export query was run. Returned when the export is complete.
- requeststring, null
The original $export request URL that initiated this bulk export job.
- requiresAccessTokenboolean, null
Indicates whether the file URLs in the output require an access token to download.